Develop and Download Open Source Software

Browse CVS Repository

Diff of /freewnn/FreeWnn/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.36 by aonoto, Sun Nov 27 17:30:23 2005 UTC revision 1.37 by aonoto, Sat Mar 4 19:01:45 2006 UTC
# Line 1039  Optional Packages: Line 1039  Optional Packages:
1039    --with-tags[=TAGS]    --with-tags[=TAGS]
1040                            include additional configurations [automatic]                            include additional configurations [automatic]
1041    --with-x                use the X Window System    --with-x                use the X Window System
1042      --with-term-libs=-lLIB  terminal library to be used
1043    --with-libwrap[=DIR]    Compile in libwrap (tcp_wrappers) support [default=try to find libwrap]    --with-libwrap[=DIR]    Compile in libwrap (tcp_wrappers) support [default=try to find libwrap]
1044    
1045  Some influential environment variables:  Some influential environment variables:
# Line 3491  ia64-*-hpux*) Line 3492  ia64-*-hpux*)
3492    ;;    ;;
3493  *-*-irix6*)  *-*-irix6*)
3494    # Find out which ABI we are using.    # Find out which ABI we are using.
3495    echo '#line 3494 "configure"' > conftest.$ac_ext    echo '#line 3495 "configure"' > conftest.$ac_ext
3496    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3497    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
3498    ac_status=$?    ac_status=$?
# Line 4569  fi Line 4570  fi
4570    
4571    
4572  # Provide some information about the compiler.  # Provide some information about the compiler.
4573  echo "$as_me:4572:" \  echo "$as_me:4573:" \
4574       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
4575  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
4576  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 5572  else Line 5573  else
5573     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5574     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5575     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5576     (eval echo "\"\$as_me:5575: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5576: $lt_compile\"" >&5)
5577     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5578     ac_status=$?     ac_status=$?
5579     cat conftest.err >&5     cat conftest.err >&5
5580     echo "$as_me:5579: \$? = $ac_status" >&5     echo "$as_me:5580: \$? = $ac_status" >&5
5581     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5582       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5583       # So say no if there are warnings       # So say no if there are warnings
# Line 5804  else Line 5805  else
5805     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5806     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5807     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5808     (eval echo "\"\$as_me:5807: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5808: $lt_compile\"" >&5)
5809     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5810     ac_status=$?     ac_status=$?
5811     cat conftest.err >&5     cat conftest.err >&5
5812     echo "$as_me:5811: \$? = $ac_status" >&5     echo "$as_me:5812: \$? = $ac_status" >&5
5813     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5814       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5815       # So say no if there are warnings       # So say no if there are warnings
# Line 5871  else Line 5872  else
5872     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5873     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5874     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5875     (eval echo "\"\$as_me:5874: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5875: $lt_compile\"" >&5)
5876     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
5877     ac_status=$?     ac_status=$?
5878     cat out/conftest.err >&5     cat out/conftest.err >&5
5879     echo "$as_me:5878: \$? = $ac_status" >&5     echo "$as_me:5879: \$? = $ac_status" >&5
5880     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
5881     then     then
5882       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 7874  else Line 7875  else
7875    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7876    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7877    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7878  #line 7877 "configure"  #line 7878 "configure"
7879  #include "confdefs.h"  #include "confdefs.h"
7880    
7881  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 7972  else Line 7973  else
7973    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7974    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7975    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7976  #line 7975 "configure"  #line 7976 "configure"
7977  #include "confdefs.h"  #include "confdefs.h"
7978    
7979  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 10106  else Line 10107  else
10107     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10108     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10109     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10110     (eval echo "\"\$as_me:10109: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10110: $lt_compile\"" >&5)
10111     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
10112     ac_status=$?     ac_status=$?
10113     cat conftest.err >&5     cat conftest.err >&5
10114     echo "$as_me:10113: \$? = $ac_status" >&5     echo "$as_me:10114: \$? = $ac_status" >&5
10115     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
10116       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
10117       # So say no if there are warnings       # So say no if there are warnings
# Line 10173  else Line 10174  else
10174     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10175     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10176     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10177     (eval echo "\"\$as_me:10176: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10177: $lt_compile\"" >&5)
10178     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
10179     ac_status=$?     ac_status=$?
10180     cat out/conftest.err >&5     cat out/conftest.err >&5
10181     echo "$as_me:10180: \$? = $ac_status" >&5     echo "$as_me:10181: \$? = $ac_status" >&5
10182     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
10183     then     then
10184       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 11405  else Line 11406  else
11406    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11407    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11408    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11409  #line 11408 "configure"  #line 11409 "configure"
11410  #include "confdefs.h"  #include "confdefs.h"
11411    
11412  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11503  else Line 11504  else
11504    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11505    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11506    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11507  #line 11506 "configure"  #line 11507 "configure"
11508  #include "confdefs.h"  #include "confdefs.h"
11509    
11510  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 12325  else Line 12326  else
12326     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12327     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12328     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12329     (eval echo "\"\$as_me:12328: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12329: $lt_compile\"" >&5)
12330     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
12331     ac_status=$?     ac_status=$?
12332     cat conftest.err >&5     cat conftest.err >&5
12333     echo "$as_me:12332: \$? = $ac_status" >&5     echo "$as_me:12333: \$? = $ac_status" >&5
12334     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
12335       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
12336       # So say no if there are warnings       # So say no if there are warnings
# Line 12392  else Line 12393  else
12393     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12394     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12395     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12396     (eval echo "\"\$as_me:12395: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12396: $lt_compile\"" >&5)
12397     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
12398     ac_status=$?     ac_status=$?
12399     cat out/conftest.err >&5     cat out/conftest.err >&5
12400     echo "$as_me:12399: \$? = $ac_status" >&5     echo "$as_me:12400: \$? = $ac_status" >&5
12401     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
12402     then     then
12403       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 14330  else Line 14331  else
14331     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14332     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14333     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14334     (eval echo "\"\$as_me:14333: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14334: $lt_compile\"" >&5)
14335     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14336     ac_status=$?     ac_status=$?
14337     cat conftest.err >&5     cat conftest.err >&5
14338     echo "$as_me:14337: \$? = $ac_status" >&5     echo "$as_me:14338: \$? = $ac_status" >&5
14339     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14340       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14341       # So say no if there are warnings       # So say no if there are warnings
# Line 14562  else Line 14563  else
14563     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14564     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14565     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14566     (eval echo "\"\$as_me:14565: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14566: $lt_compile\"" >&5)
14567     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14568     ac_status=$?     ac_status=$?
14569     cat conftest.err >&5     cat conftest.err >&5
14570     echo "$as_me:14569: \$? = $ac_status" >&5     echo "$as_me:14570: \$? = $ac_status" >&5
14571     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14572       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14573       # So say no if there are warnings       # So say no if there are warnings
# Line 14629  else Line 14630  else
14630     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14631     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14632     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14633     (eval echo "\"\$as_me:14632: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14633: $lt_compile\"" >&5)
14634     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
14635     ac_status=$?     ac_status=$?
14636     cat out/conftest.err >&5     cat out/conftest.err >&5
14637     echo "$as_me:14636: \$? = $ac_status" >&5     echo "$as_me:14637: \$? = $ac_status" >&5
14638     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
14639     then     then
14640       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 16632  else Line 16633  else
16633    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16634    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16635    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16636  #line 16635 "configure"  #line 16636 "configure"
16637  #include "confdefs.h"  #include "confdefs.h"
16638    
16639  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 16730  else Line 16731  else
16731    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16732    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16733    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16734  #line 16733 "configure"  #line 16734 "configure"
16735  #include "confdefs.h"  #include "confdefs.h"
16736    
16737  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 18043  _ACEOF Line 18044  _ACEOF
18044  fi  fi
18045    
18046    
18047    echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
18048    echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
18049    if test "${ac_cv_lib_util_openpty+set}" = set; then
18050      echo $ECHO_N "(cached) $ECHO_C" >&6
18051    else
18052      ac_check_lib_save_LIBS=$LIBS
18053    LIBS="-lutil  $LIBS"
18054    cat >conftest.$ac_ext <<_ACEOF
18055    #line $LINENO "configure"
18056    #include "confdefs.h"
18057    
18058    /* Override any gcc2 internal prototype to avoid an error.  */
18059    #ifdef __cplusplus
18060    extern "C"
18061    #endif
18062    /* We use char because int might match the return type of a gcc2
18063       builtin and then its argument prototype would still apply.  */
18064    char openpty ();
18065    #ifdef F77_DUMMY_MAIN
18066    #  ifdef __cplusplus
18067         extern "C"
18068    #  endif
18069       int F77_DUMMY_MAIN() { return 1; }
18070    #endif
18071    int
18072    main ()
18073    {
18074    openpty ();
18075      ;
18076      return 0;
18077    }
18078    _ACEOF
18079    rm -f conftest.$ac_objext conftest$ac_exeext
18080    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18081      (eval $ac_link) 2>&5
18082      ac_status=$?
18083      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18084      (exit $ac_status); } &&
18085             { ac_try='test -s conftest$ac_exeext'
18086      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18087      (eval $ac_try) 2>&5
18088      ac_status=$?
18089      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18090      (exit $ac_status); }; }; then
18091      ac_cv_lib_util_openpty=yes
18092    else
18093      echo "$as_me: failed program was:" >&5
18094    cat conftest.$ac_ext >&5
18095    ac_cv_lib_util_openpty=no
18096    fi
18097    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
18098    LIBS=$ac_check_lib_save_LIBS
18099    fi
18100    echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
18101    echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
18102    if test $ac_cv_lib_util_openpty = yes; then
18103      cat >>confdefs.h <<_ACEOF
18104    #define HAVE_LIBUTIL 1
18105    _ACEOF
18106    
18107      LIBS="-lutil $LIBS"
18108    
18109    fi
18110    
18111    
18112  echo "$as_me:$LINENO: checking for X" >&5  echo "$as_me:$LINENO: checking for X" >&5
18113  echo $ECHO_N "checking for X... $ECHO_C" >&6  echo $ECHO_N "checking for X... $ECHO_C" >&6
18114    
# Line 18541  fi Line 18607  fi
18607    
18608    
18609    
18610    
18611    
18612    
18613  for ac_header in fcntl.h syslog.h unistd.h utmp.h utmpx.h \  for ac_header in fcntl.h syslog.h unistd.h utmp.h utmpx.h \
18614          sys/file.h sys/ioctl.h sys/time.h sys/types.h sys/param.h \          sys/file.h sys/ioctl.h sys/time.h sys/types.h sys/param.h \
18615          malloc.h strings.h memory.h \          malloc.h strings.h memory.h \
18616          curses.h ncurses.h sgtty.h term.h termio.h termios.h \          curses.h ncurses.h sgtty.h term.h termio.h termios.h \
18617            termcap.h sys/termio.h libutil.h\
18618    
18619  do  do
18620  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
# Line 18659  fi Line 18729  fi
18729  done  done
18730    
18731    
18732    olibs="$LIBS"
18733    echo "$as_me:$LINENO: checking --with-term-libs argument" >&5
18734    echo $ECHO_N "checking --with-term-libs argument... $ECHO_C" >&6
18735    
18736    # Check whether --with-tlib or --without-tlib was given.
18737    if test "${with_tlib+set}" = set; then
18738      withval="$with_tlib"
18739    
18740    fi;
18741    if test -n "$with_term_libs"; then
18742      echo "$as_me:$LINENO: result: $with_term_libs" >&5
18743    echo "${ECHO_T}$with_term_libs" >&6
18744      TERMLIB=$with_term_libs
18745    else
18746      echo "$as_me:$LINENO: result: automatic terminal library selection" >&5
18747    echo "${ECHO_T}automatic terminal library selection" >&6
18748                case "`uname -s 2>/dev/null`" in
18749            OSF1)   tlibs="ncurses curses termlib termcap";;
18750            *)      tlibs="ncurses termlib termcap curses";;
18751      esac
18752     for libname in $tlibs; do
18753        as_ac_Lib=`echo "ac_cv_lib_${libname}''_tgetent" | $as_tr_sh`
18754    echo "$as_me:$LINENO: checking for tgetent in -l${libname}" >&5
18755    echo $ECHO_N "checking for tgetent in -l${libname}... $ECHO_C" >&6
18756    if eval "test \"\${$as_ac_Lib+set}\" = set"; then
18757      echo $ECHO_N "(cached) $ECHO_C" >&6
18758    else
18759      ac_check_lib_save_LIBS=$LIBS
18760    LIBS="-l${libname}  $LIBS"
18761    cat >conftest.$ac_ext <<_ACEOF
18762    #line $LINENO "configure"
18763    #include "confdefs.h"
18764    
18765    /* Override any gcc2 internal prototype to avoid an error.  */
18766    #ifdef __cplusplus
18767    extern "C"
18768    #endif
18769    /* We use char because int might match the return type of a gcc2
18770       builtin and then its argument prototype would still apply.  */
18771    char tgetent ();
18772    #ifdef F77_DUMMY_MAIN
18773    #  ifdef __cplusplus
18774         extern "C"
18775    #  endif
18776       int F77_DUMMY_MAIN() { return 1; }
18777    #endif
18778    int
18779    main ()
18780    {
18781    tgetent ();
18782      ;
18783      return 0;
18784    }
18785    _ACEOF
18786    rm -f conftest.$ac_objext conftest$ac_exeext
18787    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18788      (eval $ac_link) 2>&5
18789      ac_status=$?
18790      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18791      (exit $ac_status); } &&
18792             { ac_try='test -s conftest$ac_exeext'
18793      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18794      (eval $ac_try) 2>&5
18795      ac_status=$?
18796      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18797      (exit $ac_status); }; }; then
18798      eval "$as_ac_Lib=yes"
18799    else
18800      echo "$as_me: failed program was:" >&5
18801    cat conftest.$ac_ext >&5
18802    eval "$as_ac_Lib=no"
18803    fi
18804    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
18805    LIBS=$ac_check_lib_save_LIBS
18806    fi
18807    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
18808    echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
18809    if test `eval echo '${'$as_ac_Lib'}'` = yes; then
18810    
18811                            LIBS="${LIBS} -l${libname}"
18812          if test "$cross_compiling" = yes; then
18813      res="FAIL"
18814    else
18815      cat >conftest.$ac_ext <<_ACEOF
18816    #line $LINENO "configure"
18817    #include "confdefs.h"
18818    
18819    #ifdef HAVE_TERMCAP_H
18820    # include <termcap.h>
18821    #endif
18822    main() {char *s; s=(char *)tgoto("%p1%d", 0, 1); exit(0); }
18823    _ACEOF
18824    rm -f conftest$ac_exeext
18825    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18826      (eval $ac_link) 2>&5
18827      ac_status=$?
18828      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18829      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
18830      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18831      (eval $ac_try) 2>&5
18832      ac_status=$?
18833      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18834      (exit $ac_status); }; }; then
18835      res="OK"
18836    else
18837      echo "$as_me: program exited with status $ac_status" >&5
18838    echo "$as_me: failed program was:" >&5
18839    cat conftest.$ac_ext >&5
18840    ( exit $ac_status )
18841    res="FAIL"
18842    fi
18843    rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
18844    fi
18845          if test "$res" = "OK"; then
18846            TERMLIB="${TERMLIB} -l${libname}"
18847            lname=${LIBNAME}
18848    
18849    cat >>confdefs.h <<\_ACEOF
18850    #define HAVE_${lname} 1
18851    _ACEOF
18852    
18853            break
18854          fi
18855          echo "$as_me:$LINENO: result: $libname library is not usable" >&5
18856    echo "${ECHO_T}$libname library is not usable" >&6
18857    
18858    fi
18859    
18860        LIBS=${olibs}
18861      done
18862    fi
18863    if test "x$TERMLIB" != "x"; then
18864      LIBS="${LIBS} ${TERMLIB}"
18865      echo "$as_me:$LINENO: checking whether we talk terminfo" >&5
18866    echo $ECHO_N "checking whether we talk terminfo... $ECHO_C" >&6
18867      if test "$cross_compiling" = yes; then
18868      { { echo "$as_me:$LINENO: error: failed to compile test program." >&5
18869    echo "$as_me: error: failed to compile test program." >&2;}
18870       { (exit 1); exit 1; }; }
18871    else
18872      cat >conftest.$ac_ext <<_ACEOF
18873    #line $LINENO "configure"
18874    #include "confdefs.h"
18875    
18876    #ifdef HAVE_TERMCAP_H
18877    # include <termcap.h>
18878    #endif
18879    main()
18880    {char *s; s=(char *)tgoto("%p1%d", 0, 1); exit(!strcmp(s==0 ? "" : s, "1")); }
18881    _ACEOF
18882    rm -f conftest$ac_exeext
18883    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18884      (eval $ac_link) 2>&5
18885      ac_status=$?
18886      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18887      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
18888      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18889      (eval $ac_try) 2>&5
18890      ac_status=$?
18891      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18892      (exit $ac_status); }; }; then
18893      echo "$as_me:$LINENO: result: no -- we are in termcap land" >&5
18894    echo "${ECHO_T}no -- we are in termcap land" >&6
18895    else
18896      echo "$as_me: program exited with status $ac_status" >&5
18897    echo "$as_me: failed program was:" >&5
18898    cat conftest.$ac_ext >&5
18899    ( exit $ac_status )
18900    
18901    cat >>confdefs.h <<\_ACEOF
18902    #define HAVE_TERMINFO 1
18903    _ACEOF
18904    
18905              echo "$as_me:$LINENO: result: yes -- terminfo spoken here" >&5
18906    echo "${ECHO_T}yes -- terminfo spoken here" >&6
18907    fi
18908    rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
18909    fi
18910    else
18911      echo "$as_me:$LINENO: result: none found" >&5
18912    echo "${ECHO_T}none found" >&6
18913    fi
18914    LIBS=${olibs}
18915    
18916    
18917    
18918  echo "$as_me:$LINENO: checking for mode_t" >&5  echo "$as_me:$LINENO: checking for mode_t" >&5
18919  echo $ECHO_N "checking for mode_t... $ECHO_C" >&6  echo $ECHO_N "checking for mode_t... $ECHO_C" >&6
18920  if test "${ac_cv_type_mode_t+set}" = set; then  if test "${ac_cv_type_mode_t+set}" = set; then
# Line 19255  fi Line 19511  fi
19511    
19512    
19513    
19514    
19515    
19516  for ac_func in random drand48 fchmod getopt killpg \  for ac_func in random drand48 fchmod getopt killpg \
19517          FD_SET \          FD_SET \
19518          gethostname select socket closesocket setsockopt send recv \          gethostname select socket closesocket setsockopt send recv \
19519          getdtablesize getrlimit syslog vsyslog setenv snprintf          getdtablesize getrlimit syslog vsyslog setenv snprintf \
19520            ptsname openpty
19521  do  do
19522  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
19523  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 19503  done Line 19762  done
19762    
19763    
19764    
19765    echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
19766    echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
19767    if test "${ac_cv_file__dev_ptmx+set}" = set; then
19768      echo $ECHO_N "(cached) $ECHO_C" >&6
19769    else
19770      test "$cross_compiling" = yes &&
19771      { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
19772    echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
19773       { (exit 1); exit 1; }; }
19774    if test -r "/dev/ptmx"; then
19775      ac_cv_file__dev_ptmx=yes
19776    else
19777      ac_cv_file__dev_ptmx=no
19778    fi
19779    fi
19780    echo "$as_me:$LINENO: result: $ac_cv_file__dev_ptmx" >&5
19781    echo "${ECHO_T}$ac_cv_file__dev_ptmx" >&6
19782    if test $ac_cv_file__dev_ptmx = yes; then
19783    
19784    cat >>confdefs.h <<_ACEOF
19785    #define HAVE__DEV_PTMX 1
19786    _ACEOF
19787    
19788    
19789    fi
19790    
19791    
19792    
19793    
19794  WRAPLIB=  WRAPLIB=
19795  echo "$as_me:$LINENO: checking whether to use libwrap" >&5  echo "$as_me:$LINENO: checking whether to use libwrap" >&5
19796  echo $ECHO_N "checking whether to use libwrap... $ECHO_C" >&6  echo $ECHO_N "checking whether to use libwrap... $ECHO_C" >&6
# Line 20284  s,@FFLAGS@,$FFLAGS,;t t Line 20572  s,@FFLAGS@,$FFLAGS,;t t
20572  s,@ac_ct_F77@,$ac_ct_F77,;t t  s,@ac_ct_F77@,$ac_ct_F77,;t t
20573  s,@LIBTOOL@,$LIBTOOL,;t t  s,@LIBTOOL@,$LIBTOOL,;t t
20574  s,@LIBTOOL_DEPS@,$LIBTOOL_DEPS,;t t  s,@LIBTOOL_DEPS@,$LIBTOOL_DEPS,;t t
20575    s,@TERMLIB@,$TERMLIB,;t t
20576  s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
20577  s,@JS_SUPPORTOBJS@,$JS_SUPPORTOBJS,;t t  s,@JS_SUPPORTOBJS@,$JS_SUPPORTOBJS,;t t
20578  s,@WRAPLIB@,$WRAPLIB,;t t  s,@WRAPLIB@,$WRAPLIB,;t t

Legend:
Removed from v.1.36  
changed lines
  Added in v.1.37

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26